BSON_ITER_INT32(3)

NAME
bson_iter_int32 - bson_iter_int32()

SYNOPSIS

#define BSON_ITER_HOLDS_INT32(iter) (bson_iter_type ((iter)) == BSON_TYPE_INT32)
int32_t
bson_iter_int32 (const bson_iter_t *iter);

PARAMETERS

•   iter: A bson_iter_t.

DESCRIPTION

Fetches the value from a BSON_TYPE_INT32 element. You should verify that the field is a BSON_TYPE_INT32 field before calling this function.

RETURNS

A 32-bit integer.

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc